## apport 0.108.2

=== doc/Makefile ===
.SUFFIXES: .tex .pdf

pdfs=$(subst .tex,.pdf,$(wildcard *.tex))

all: $(pdfs)

.tex.pdf:
	# build it twice to get correct TOC
	pdflatex $< >/dev/null
	pdflatex $< >/dev/null

clean:
	rm -f *.aux *.toc *.log $(pdfs)

.PHONY: all clean

=== gtk/Makefile ===
top_srcdir = ..

all: apport-gtk.desktop apport-gtk-mime.desktop

%.desktop : %.desktop.in
	intltool-merge -d ${top_srcdir}/po/ $< $@

clean:
	rm -f *.desktop

=== po/Makefile ===
include Makevars
GETTEXT_PACKAGE=$(DOMAIN)
PO_FILES := $(wildcard *.po)
CONTACT=martin.pitt@ubuntu.com
top_srcdir = ..

all: $(DOMAIN).pot

clean:
	rm -rf mo/
	rm -f $(DOMAIN).pot

# update the pot
$(DOMAIN).pot:
	# we need fake .py files, since current intltool-update
	# currently does not understand a thing like [type: python]
	ln -s apport-gtk $(top_srcdir)/gtk/apport-gtk.py
	ln -s apport-qt $(top_srcdir)/qt4/apport-qt.py
	ln -s apport-cli $(top_srcdir)/cli/apport-cli.py
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT)' intltool-update -p --verbose
	rm $(top_srcdir)/gtk/apport-gtk.py $(top_srcdir)/qt4/apport-qt.py $(top_srcdir)/cli/apport-cli.py

# merge the new stuff into the po files
merge-po: $(PO_FILES) $(DOMAIN.pot)
	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT)' intltool-update -r

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# generate all *.mo files
build-mo: $(patsubst %.po,%.mo,$(wildcard *.po))

=== preloadlib/Makefile ===
CFLAGS= -g -Wall -W -fPIC

LIBNAME=apport
LIB=lib$(LIBNAME).so

ifeq ($(AGENTPATH),)
AGENTPATH=/usr/share/apport/apport
endif

$(LIB): lib$(LIBNAME).c
	$(CC) $(CFLAGS) -DAGENTPATH=\"$(AGENTPATH)\" -shared $^ -o $@

clean:
	rm -f *.o $(LIB)

=== qt4/Makefile ===
top_srcdir = ..

all: apport-qt.desktop apport-qt-mime.desktop apport-qt-mimelnk.desktop

%.desktop : %.desktop.in
	intltool-merge -d ${top_srcdir}/po/ $< $@

clean:
	rm -f *.desktop

=== debian/changelog ===
apport (0.108.2) hardy-proposed; urgency=low

  * debian/control: Update Vcs-Bzr: for the hardy branch.
  * apport/packaging.py: Introduce a new function enabled() which reports
    whether Apport should create crash reports. Signal crashes are controlled
    by /proc/sys/kernel/core_pattern, but we need that to control whether
    reports for Python, package, or kernel crashes are generated.
  * backends/packaging-apt-dpkg.py: Provide implementation for
    PackageInfo.enabled() for Debian/Ubuntu by evaluating /etc/default/apport.
    Add various test cases for different configuration files and absent files.
  * apport_python_hook.py: Do not create reports if Apport is disabled (in
    /etc/default/apport). (LP: #222260)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 17 May 2008 13:01:24 +0200

apport (0.108.1) hardy-proposed; urgency=low

  * apport/report.py, add_proc_info(): also strip pathnames starting with
    'cow', 'squashmnt', and 'persistmnt' to allow apport to locate the
    executable pathname, additionally to 'rofs' added in 0.75.  This fixes
    apport for packages installed on the read-write part of the unionfs mounts
    and under UME which uses different names for the mount points.  Proper fix
    is to rewrite the pathnames in the kernel.

 -- Loic Minier <lool@dooz.org>  Tue, 29 Apr 2008 12:46:30 +0200

=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: cdbs (>= 0.4.43), debhelper (>= 5.0.37.2),
 python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
 texlive-latex-recommended
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Standards-Version: 3.7.3
XS-Python-Version: current
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/hardy

Package: apport
XB-Python-Version: ${python:Versions}
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.43), lsb-base (>= 3.0-6), sysv-rc (>= 2.86.ds1-14.1ubuntu2), python-xdg
Conflicts: apport-gtk (<< 0.51), apport-cli
Replaces: apport-gtk (<< 0.51), apport-cli
Suggests: apport-gtk | apport-qt
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-qt).
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: python-problem-report
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}
Description: Python library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs (for details, see
 https://wiki.ubuntu.com/AutomatedProblemReports).
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport
XB-Python-Version: ${python:Versions}
Section: python
Architecture: all
Depends: ${python:Depends}, python-apt, python-problem-report (>= 0.94), python-launchpad-bugs (>= 0.2.11), gdb
Conflicts: python-apport-utils
Replaces: python-apport-utils
Description: apport crash report handling library
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
XB-Python-Version: ${python:Versions}
Section: devel
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.88), python-apt, python-launchpad-bugs (>= 0.2.11), apt, binutils, dpkg-dev
Suggests: debootstrap (>= 0.3.3.2ubuntu2), fakeroot, fakechroot
Conflicts: apport (<< 0.72)
Replaces: apport (<< 0.72)
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces.
 .
 This package also ships apport-chroot. This tool can create and
 manage chroots for usage with apport-retrace. If the fakeroot and
 fakechroot libraries are available (either by installing the packages
 or by merely putting their libraries somewhere and setting two
 environment variables), the entire process of retracing crashes in
 chroots can happen with normal user privileges.

Package: apport-gtk
XB-Python-Version: ${python:Versions}
Section: gnome
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.80), python-gtk2, python-glade2, python-xdg, apport (>= 0.41), procps
Recommends: update-notifier
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

Package: apport-qt
XB-Python-Version: ${python:Versions}
Section: kde
Architecture: all
Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
Recommends: adept-notifier
Description: Qt4 frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a Qt4 frontend for browsing and handling the
 crash reports.
 .
 See https://wiki.ubuntu.com/AutomatedProblemReports for more
 information.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pycentral
export DH_PYCENTRAL=nomove

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/langpack.mk

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_PYTHON_INSTALL_ARGS_ALL := --no-compile --install-scripts usr/share/apport

pre-build::
	# install appropriate backends
	cp backends/packaging-apt-dpkg.py apport/packaging_impl.py

common-post-build-indep::
	make -C po
	make -C gtk
	make -C qt4
	make -C doc

binary-install/apport-gtk::
	dh_desktop -p $(cdbs_curpkg)

binary-install/apport-qt::
	dh_desktop -p $(cdbs_curpkg)

binary-install/apport::
	dh_installmime -p $(cdbs_curpkg)
	dh_icons

	# ignore wine crashes by default, until we found a way to
	# handle them appropriately
	install -d debian/$(cdbs_curpkg)/etc/apport/blacklist.d
	echo '/usr/bin/wine-preloader' > debian/$(cdbs_curpkg)/etc/apport/blacklist.d/apport

clean::
	# remove backend copies
	rm -f apport/packaging_impl.py
	make -C po clean
	make -C gtk clean
	make -C qt4 clean
	make -C doc clean

## apport 0.108.4

=== debian/changelog ===
apport (0.108.4) hardy-security; urgency=low

  * etc/cron.daily/apport: Only attempt to remove files and symlinks, do not
    descend into subdirectories of /var/crash/. Doing so might be exploited by
    a race condition between find traversing a huge directory tree, changing
    an existing subdir into a symlink to e. g. /etc/, and finally getting that
    piped to rm. Patch based on work from Martin Pitt. Thanks to Stephane
    Chazelas for discovering this!
    - LP: #357024
    - CVE-2009-1295

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 29 Apr 2009 08:32:35 -0500

## apport 0.119

=== debian/changelog ===
apport (0.119) intrepid; urgency=low

  * debian/apport.default: Disable Apport by default for the final release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Oct 2008 09:34:41 +0200

apport (0.118) intrepid; urgency=low

  * apport/hookutils.py: add attach_gconf() function to add non-default gconf
    settings to a report

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 13 Oct 2008 20:10:33 +0100

apport (0.117) intrepid; urgency=low

  * backends/packaging-apt-dpkg.py, is_distro_package(): Fix crash if
    apt.Cache()[pkg].origins is None. (LP: #279353)
  * bin/apport: Log that we are ignoring SIGABRT, since it is a common cause
    of confusion.
  * test-apport, create_test_process(): Fix race condition: wait until the
    child process has fully execve()ed, to avoid coredumping it while it is
    still running as test-apport process.
  * apport/crashdb_impl/launchpad.py, update(): Set source package of a bug if
    the reporter removed it and the task is against 'Ubuntu'. (LP: #269045)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 07 Oct 2008 16:38:06 +0200

apport (0.116) intrepid; urgency=low

  * Update AUTHORS and debian/copyright, Michael and Troy released their
    copyright to Canonical. Properly attribute them as authors in the
    respective files.
  * debian/local/ubuntu-bug: Fix quoting of the command line arguments, so
    that several options do not end up as one big argument when being passed
    to apport-{cli,gtk,qt}. This also repairs launchpad-integration.
    (LP: #260242)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Sep 2008 10:32:45 +0200

apport (0.115) intrepid; urgency=low

  [ Matt Zimmerman ]
  * Add apport/hookutils.py with some convenience functions for writing hook
    scripts (work in progress)
  * Extend ubuntu-bug to accept a path as an argument and look up the package
    name
  * Rename kernel_hook to kernel_crashdump (there are other kernel hooks)
  * Change kernel crash report type to KernelCrash
  * Fix automatix.py to not crash when automatix isn't installed (LP: #267004)
  * Add bin/kernel_oops hook to capture a kernel oops (eg. via kerneloops)

  [ Martin Pitt ]
  * Add AUTHORS file for collecting the list of major contributors and
    copyright holders.
  * apport/report.py: If we do not find a bug pattern file for the binary
    package, fall back to looking for one with the source package name.
  * run-tests: Provide a better error message if apport/packaging_impl.py does
    not exist.

  [ Brian Murray ]
  * apport/crashdb_impl/launchpad.py: Add regression-retracer tag to bugs
    which seem to be a regression (duplicate, and crash happens in a later
    version than the fix). (LP: #271876)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Sep 2008 18:18:03 -0700

apport (0.114) intrepid; urgency=low

  [ Fabien Tassin ]
  * apport/ui.py: Use preferred browser when it's recognized as a
    Mozilla browser (firefox, seamonkey, flock) or Epiphany (LP: #131350)

  [ Oumar Aziz OUATTARA ]
  * apport/crashdb.py: Add support for /etc/apport/crashdb.conf.d/*.conf crash
    database configuration files. Document it in doc/crashdb-conf.txt.
  * apport/ui.py: Support a new field "CrashDB" in apport reports which select
    a non-default crash database. Document this in doc/package-hooks.txt.

  [ Martin Pitt ]
  * apport/report.py: If a hook crashes with an exception, print it to
    stderr, for easier debugging of hooks.
  * apport/crashdb_impl/launchpad.py: If PackageArchitecture is 'all', fall
    back to looking at Architecture instead of not adding a
    needs-$ARCH-retrace tag at all. This prevented signal crashes originating
    from e. g. Python packages from being automatically retraced.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 04 Sep 2008 10:51:24 +0200

apport (0.113) intrepid; urgency=low

  * apport-qt recommends update-notifier-kde instead of adept-notifier

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 28 Aug 2008 15:02:20 +0200

apport (0.112) intrepid; urgency=low

  * apport/crashdb_impl/launchpad.py: Update attachment handling to current
    python-launchpad-bugs API, thanks Markus Korn!
  * apport/ui.py: Use gnome-panel as indicator for a running GNOME session;
    'gnome-session' now calls itself x-session-manager, which isn't useful
    to tell apart session types.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Aug 2008 17:09:49 +0200

apport (0.111) intrepid; urgency=low

  The "(Kernel) OOPS, I dumped it again!" release.

  * apport/ui.py: Fix test_run_report_bug_unpackaged_pid() to work with the
    installed run-tests from the package as well.
  * apport/crashdb_impl/launchpad.py: Ignore broken LP bug tasks instead of
    crashing on them.
  * apport/report.py, add_proc_info(): Report the AppArmor or SELinux context
    in a new ProcAttrCurrent field, read from /proc/pid/attr/current.
    Document it in doc/data-format.tex. The field will not be added if the
    proc attribute cannot be read or isn't present. Thanks to Steve Beattie
    for the patch and the suggestion!
  * debian/local/setup-apport-retracer: Switch to intrepid.
  * debian/local/setup-apport-retracer: Fix installation of python-apt. Also
    install apt, to avoid library version mismatches to python-apt.
  * debian/apport.default: Enable apport by default again, now that we have
    working retracers.
  * apport/report.py, test_add_gdb_info_script(): Use bash, not dash as test
    program for core dumping; stack trace is awkwardly bad with dash, so that
    the test case cannot really work any more.
  * Add package-hooks/source_linux.py: Package hook for collecting kernel
    related information. By Matt Zimmerman, thank you! (LP: #251441)
  * debian/local/ubuntu-bug.1: Fix documentation of -p, it  specifies the
    binary package name, not the source.
  * apport/packaging.py: Add get_kernel_package() to return the actual Linux
    kernel package name; useful if the user reports a bug against just


## apport 0.119.2

=== debian/changelog ===
apport (0.119.2) intrepid-security; urgency=low

  [ Martin Pitt ]
  * etc/cron.daily/apport: Only attempt to remove files and symlinks, do not
    descend into subdirectories of /var/crash/. Doing so might be exploited by
    a race condition between find traversing a huge directory tree, changing
    an existing subdir into a symlink to e. g. /etc/, and finally getting that
    piped to rm. Patch based on work by Martin Pitt. Thanks to Stephane
    Chazelas for discovering this!
    - LP: #357024
    - CVE-2009-1295

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 29 Apr 2009 08:34:14 -0500

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
  python-central (>= 0.5.6), python-dev (>= 2.4), intltool,
  texlive-latex-recommended
 Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 XS-Python-Version: current
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/hardy
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/apport/ubuntu
 
 Package: apport
 XB-Python-Version: ${python:Versions}
@@ -100,7 +100,7 @@
 Section: kde
 Architecture: all
 Depends: python (>= 2.4), python-apport (>= 0.80), python-qt4, python-xdg, apport (>= 0.41), procps
-Recommends: adept-notifier
+Recommends: update-notifier-kde
 Description: Qt4 frontend for the apport crash report system
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump

## apport 1.0

=== po/Makefile ===
--- 
+++ 
@@ -22,7 +22,13 @@
 
 # merge the new stuff into the po files
 merge-po: $(PO_FILES) $(DOMAIN.pot)
+	# we need fake .py files, since current intltool-update
+	# currently does not understand a thing like [type: python]
+	ln -s apport-gtk $(top_srcdir)/gtk/apport-gtk.py
+	ln -s apport-qt $(top_srcdir)/qt4/apport-qt.py
+	ln -s apport-cli $(top_srcdir)/cli/apport-cli.py
 	XGETTEXT_ARGS='--msgid-bugs-address=$(CONTACT)' intltool-update -r
+	rm $(top_srcdir)/gtk/apport-gtk.py $(top_srcdir)/qt4/apport-qt.py $(top_srcdir)/cli/apport-cli.py
 
 # create mo from the pos
 %.mo : %.po

## apport 2.12.6

=== debian/changelog ===
apport (2.12.6-1) experimental; urgency=low

  * [5769987] Add dependency on gir1.2-wnck-3.0 for apport-gtk
  * [cdf0304] Imported Upstream version 2.12.6 (Closes: #727661)
  * [b96b842] Refresh patch
  * [7aabdc5] update gtk/kde install files
  * [1f8569b] update Vcs links

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 25 Oct 2013 23:06:40 +0530

apport (2.9-1) experimental; urgency=low

  * [cc98382] Imported Upstream version 2.9
    (Closes: #698010)
  * [a2e7951] Drop patch handle-python3-unicode-string.patch. Applied upstream
  * [ec8b3de] Introduce new package apport-valgrind

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 02 Mar 2013 13:36:01 +0530

apport (2.7-2) experimental; urgency=low

  * [17d5cac] Encode stream before sending it to write

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 31 Dec 2012 18:10:04 +0530

apport (2.7-1) experimental; urgency=low

  * [be922e9] Imported Upstream version 2.7
  * Drop patches, applied upstream
    [2930811] drop patch fix-package-and-version-extraction.patch
    [6c4581a] drop patch fix-python3-str-interface.patch
    [90fc0ed] drop patch check-for-stacktrace.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 21 Dec 2012 18:57:19 +0530

apport (2.6.2-1) experimental; urgency=low

  * [2177045] Imported Upstream version 2.6.2
  * [8ebfca0] Add Breaks on python-apport.
    Thanks to Laurent Bigonville (Closes: #689922)
  * [b9c9605] Drop patch crashdb-fix.path. Applied upstream
  * [f6c0656] Fix man page typo.
    Thanks to Osamu Aoki (Closes: #692253)
  * [2e97154] Only reject reports with useless stack traces if the report
    actually has a stack trace at all.
  * [51f3919] Fix error in Package and PackageVersion detection in the
    Debian crashdb
  * [74e3e02] Fix Python3 String buffer interface

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 18 Nov 2012 14:08:35 +0530

apport (2.6.1-2) experimental; urgency=low

  * [2809dc3] Add python-apport as Depends for apport-kde
  * [268891c] Fix debian crashdb. Add patch crashdb-fix.patch

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 17 Oct 2012 14:02:28 +0530

apport (2.6.1-1) experimental; urgency=low

  * [40bb859] Imported Upstream version 2.6.1
    (Closes: #677980, #677630, #678393)
  * [7b55ecb] drop patches, now we have a crashdb
  * [98a657c] update README.Developer about how to blacklist packages
  * [0dcfe45] build python3 support too
  * [d05573b] Add packaging changes from Ubuntu

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 01 Oct 2012 22:19:35 +0530

apport (2.2.3-4) experimental; urgency=low

  * [7d9a488] Check harder for distribution string
  * [b284128] Use subprocess instead of os.popen()
  * [3ce6341] Drop non-existent Recommends of apport-symptoms package

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 19 Jul 2012 01:13:43 +0530

apport (2.2.3-3) experimental; urgency=low

  * [e6ebc33] fix bts email address

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 18 Jul 2012 13:00:46 +0530

apport (2.2.3-2) experimental; urgency=low

  * [cd3d4e5] Switch package source format to 3.0 (quilt)
  * [accce3a] Add Debian bug reporting support in Apport (Closes: #677629)
  * [906855a] Add some READMEs documenting apport's purpose

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 17 Jul 2012 18:00:14 +0530

apport (2.2.3-1) experimental; urgency=low

  * [fc4f37c] add Vcs headers
  * [12c1b4a] Imported Upstream version 2.2.3 (Closes: #676379, #677563)
  * [755ad3d] add build-dep: pep8, pyflakes
  * [d0ee9a9] add initscript LSB Description Header
  * [84e90ae] add initscript LSB Command status

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 16 Jun 2012 03:35:03 +0530

apport (1.94.1-1) experimental; urgency=low

  * Initial release. (Closes: #383347)
  * Initial release to get other dependent infrastructure to align with 

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 06 Apr 2012 20:38:44 +0530

=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
 gdb,
 python-twisted-core,
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-release,
 net-tools,
 xauth,
 python-all,
 python3-all
Build-Depends-Indep: python-distutils-extra (>= 2.24~),
 python3-distutils-extra (>= 2.24~),
 python-apt (>= 0.7.9),
 python3-apt (>= 0.7.9),
 pep8,
 pyflakes,
 intltool,
 xvfb,
 python-mock,
 python3-mock,
 procps,
 psmisc,
 gir1.2-gtk-3.0 (>= 3.1.90),
 python-gi,
 python3-gi,
 default-jdk | java-sdk
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Standards-Version: 3.9.2
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.0
Homepage: https://wiki.ubuntu.com/Apport
Vcs-Git: git://anonscm.debian.org/collab-maint/apport.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apport.git

Package: apport
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 sysv-rc (>= 2.86.ds1-14),
 ${misc:Depends},
 ${python:Depends}
Recommends: policykit-1
Suggests: apport-gtk | apport-kde
Breaks: python-apport (<< 2.6.1-1)
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).

Package: python-problem-report
Section: python
Architecture: all
Depends: ${python:Depends},
 ${misc:Depends}
Description: Python library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python3-problem-report
Section: python
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends}
Description: Python 3 library to handle problem reports
 This Python 3 library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python-apport
Section: python
Architecture: all
Depends: ${python:Depends}, 
 python-apt (>= 0.7.9),
 python-problem-report (>= 0.94),
 lsb-release,
 ${misc:Depends}
Recommends: apport
Description: Python library for Apport crash report handling
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: python3-apport
Section: python
Architecture: all
Depends: ${python3:Depends}, 
 python3-apt (>= 0.7.9),
 python3-problem-report (>= 0.94),
 lsb-release,
 ${misc:Depends}
Recommends: apport
Description: Python 3 library for Apport crash report handling
 This Python 3 package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends: python (>= 2.4),
 python3,
 python-apport (>= ${source:Version}),
 apt,
 binutils,
 dpkg-dev,
 gdb,
 libc6-dbg,
 ${misc:Depends}
Suggests: gdb-multiarch
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces. This can optionally use a sandbox for installing debug symbol
 packages and doing the processing, so that entire process of retracing crashes
 can happen with normal user privileges without changing the system.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 python3-gi,
 apport (>= 0.41), 
 procps,
 ${misc:Depends}
Recommends: update-notifier, gdb
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.

Package: apport-kde
Section: kde
Architecture: all
Depends: python (>= 2.4),
 python-apport (>= ${source:Version}),
 python-kde4,
 apport (>= 0.41),
 procps,
 ${misc:Depends},
 ${python:Depends}
Recommends: update-notifier-kde, gdb
Description: KDE frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a KDE frontend for browsing and handling the
 crash reports.

Package: dh-apport
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
 ${misc:Depends}
Description: debhelper extension for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the kernel.
 .
 This package provides a debhelper extension to make it easier for other
 packages to include apport hooks.

Package: apport-valgrind
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apt,
 binutils,
 valgrind (>= 3.8.1),
 dpkg-dev,
 libc6-dbg, ${misc:Depends}
Description: valgrind wrapper that first downloads debug symbols
 apport-valgrind is a valgrind wrapper that automatically downloads related
 available debug symbols and provides them to valgrind's memcheck tool, which
 is executed. The output is a valgrind log file ("valgrind.log") that contains
 stack traces (with as many symbols resolved as available) and that shows
 memory leaks.

=== debian/rules ===
#!/usr/bin/make -f

# For now, permanently disable test cases
DEB_BUILD_OPTIONS=nocheck

%:
	dh "$@" --with python2,python3

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_build:
	dh_auto_build
	python3 setup.py build

override_dh_installinit:
	dh_installinit --error-handler=true

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(shell py3versions -r); do \
		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
        done

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	-env -u LD_PRELOAD -u TMPDIR APPORT_TEST_NOXVFB=1 sh test/run
endif

override_dh_install:
	dh_install -X.pyc -X.egg-info --list-missing
	pod2man -c Debhelper -r "$(DEB_VERSION)" debian/debhelper/dh_apport debian/debhelper/dh_apport.1

        # apport-retrace needs python-launchpadlib, which is not yet available
        #         # for Python 3; so switch back to Python 2
	sed -i '1 s/python3.*$$/python/' debian/apport-retrace/usr/bin/apport-retrace

	# Same applies for KDE4...
	sed -i '1 s/python3.*$$/python/' debian/apport-kde/usr/share/apport/apport-kde

override_dh_python3:
	dh_python3 --skip-private

=== debian/tests/control ===
Tests: upstream-system
Depends: apport, gdb, python-twisted-core
Restrictions:
Features: no-build-needed

## apport 2.16.2

=== debian/changelog ===
apport (2.16.2-2) experimental; urgency=medium

  [ Yuru Shao ]
  * [3152d82] fix typo in filename
  * [320d2ec] fix patch filename
  * [2f9a414] fix bug in checkFileExtn
  * [eb2d88c] adjust indent
  * [0c8a9bb] only 1 instance per user

  [ Ritesh Raj Sarraf ]
  * [9cabd8b] Fix #define for CRASH_EXTN
  * [13e64a1] Fix indentation
  * [b98ef66] Add patch from Yuru to handle Unicode exceptions.
    Thanks to Yuru Roy Shao (Closes: 781164)

 -- Yuru Shao <shaoyuru@gmail.com>  Fri, 27 Mar 2015 12:56:31 +0530

apport (2.16.2-1) experimental; urgency=medium

  * [b2aa033] Only act on IN_CLOSE_WRITE event
  * [b618907] Add details about notifyd in README.Debian
  * [97bde9a] Imported Upstream version 2.16.2
  * [185d9dc] Refresh patch debian/patches/kde-retrace-support.patch
  * [17db7dc] Drop testsuite folder

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 03 Mar 2015 16:53:59 +0530

apport (2.15.1-4) experimental; urgency=medium

  * [31d3de2] Add debian/gbp.conf
  * [feea9b7] Update changelog
  * [7a489fd] Tap the report once apport is done writing to it.
    Thanks to Laurent Bigonville (Closes: #750989)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Feb 2015 19:54:52 +0530

apport (2.15.1-3) experimental; urgency=medium

  * [7b2a70f] Add patch to add support for retrace in KDE env
  * [ce8647a] Add header to debian/patches/kde-retrace-support.patch
  * [7274d67] Add patch to disable is_distro_package() on Debian

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 10 Feb 2015 16:41:28 +0530

apport (2.15.1-2) experimental; urgency=medium

  * [79091ac] Be more certain on how we determine package name and version
  * [ae8c208] Add patch to ignore UnicodeDecode Error. Debian BTS #775327
  * [60c1887] Fix arch-only FTBFS builds.
    Thanks to Pino Toscano (Closes: #775034)
  * [24b5dff] Use build flags from dpkg-buildflags.
    Thanks to Pino Toscano (Closes: #775036)
  * [c85ed69] Don't ship KDE3 mimetype.
    Thanks to Pino Toscano (Closes: #775037)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 14 Jan 2015 13:48:33 +0530

apport (2.15.1-1) experimental; urgency=medium

  * [a2df0a6] Imported Upstream version 2.14.7
  * [cb491e4] Imported Upstream version 2.14.7
  * [2b23be3] Refresh patches
  * [8cdb28c] Add gdb-minimal as an alternative to gdb
  * [9cd6406] Update some install files
  * [8aa4588] Add dupdb-admin manpage
  * [6c04938] Add apport-valgrind manpage
  * [ffc0be2] Juggle the control file to look more close to Ubuntu's
  * [2f4cca2] Update debhelper
  * [eb4281b] dubdb manpage is shipped in apport-retrace
  * [649d4af] Imported Upstream version 2.15.1

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sat, 10 Jan 2015 14:14:13 +0530

apport (2.14.2-3) experimental; urgency=medium

  * [0be4151] Drop sysv-rc hard dependency
  * [bd42d8c] Listen on inotify event file close.
    Thanks to Laurent Bigonville (Closes: #750989)
  * [edf75a6] Ony honor IN_CREATE. Also act only for .crash files
  * [e1f282c] Display debug symbol package name

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 10 Sep 2014 15:42:05 +0530

apport (2.14.2-2) experimental; urgency=medium

  * [bfc77cc] Add new package apport-notifyd

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 11 May 2014 12:59:27 +0530

apport (2.14.2-1) experimental; urgency=medium

  * [e78142c] Imported Upstream version 2.14.2
  * [480c5be] Drop patches. Applied upstream
  * [c1843d5] Refresh patches

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 06 May 2014 19:39:45 +0530

apport (2.12.6-2) experimental; urgency=medium

  * [dd60cf4] Don't hardcode dpkg-divert path.
    Thanks to Maximiliano Curia (Closes: #742106)
  * [e5893c4] Add patch to not fail if apport's traditional OS detection
    code fails (Closes: #742707)
  * [71d3829] Log that we are going to fall back to lsb

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 26 Mar 2014 20:14:27 +0530

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,12 @@
  net-tools,
  xauth,
  python-all,
- python3-all
-Build-Depends-Indep: python-distutils-extra (>= 2.24~),
+ python3-all,
+ python-distutils-extra (>= 2.24~),
+ python-apt (>= 0.7.9),
  python3-distutils-extra (>= 2.24~),
- python-apt (>= 0.7.9),
  python3-apt (>= 0.7.9),
- pep8,
- pyflakes,
+Build-Depends-Indep:
  intltool,
  xvfb,
  python-mock,
@@ -23,6 +22,16 @@
  procps,
  psmisc,
  gir1.2-gtk-3.0 (>= 3.1.90),
+ gir1.2-wnck-3.0,
+ pep8,
+ pyflakes,
+ xterm,
+ dbus-x11,
+ gvfs-daemons,
+ libglib2.0-dev,
+ libglib2.0-0-dbg,
+ libnih-dev,
+ libc6-dbg | libc-dbg,
  python-gi,
  python3-gi,
  default-jdk | java-sdk
@@ -41,7 +50,6 @@
  lsb-base (>= 3.0-6),
  python3-gi,
  gir1.2-glib-2.0 (>= 1.29.17),
- sysv-rc (>= 2.86.ds1-14),
  ${misc:Depends},
  ${python:Depends}
 Recommends: policykit-1
@@ -56,6 +64,20 @@
  handling the crash reports. For desktops, you should consider
  installing the GTK+ or Qt user interface (apport-gtk or apport-kde).
 
+Package: apport-notify
+Architecture: linux-any
+Depends: apport,
+ ${misc:Depends},
+ ${python:Depends},
+ ${shlibs:Depends}
+Suggests: apport-gtk | apport-kde
+Description: automatically generate crash reports for debugging
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides the notification daemon
+
 Package: python-problem-report
 Section: python
 Architecture: all
@@ -127,7 +149,7 @@
  apt,
  binutils,
  dpkg-dev,
- gdb,
+ gdb | gdb-minimal,
  libc6-dbg,
  ${misc:Depends}
 Suggests: gdb-multiarch
@@ -137,59 +159,10 @@
  stack traces. This can optionally use a sandbox for installing debug symbol
  packages and doing the processing, so that entire process of retracing crashes
  can happen with normal user privileges without changing the system.
-
-Package: apport-gtk
-Section: gnome
-Architecture: all
-Depends: python3,
- python3-apport (>= ${source:Version}),
- gir1.2-gtk-3.0 (>= 3.1.90),
- gir1.2-wnck-3.0,
- python3-gi,
- apport (>= 0.41), 
- procps,
- ${misc:Depends}
-Recommends: update-notifier, gdb
-Description: GTK+ frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a GTK+ frontend for browsing and handling the
- crash reports.
-
-Package: apport-kde
-Section: kde
-Architecture: all
-Depends: python (>= 2.4),
- python-apport (>= ${source:Version}),
- python-kde4,
- apport (>= 0.41),
- procps,
- ${misc:Depends},
- ${python:Depends}
-Recommends: update-notifier-kde, gdb
-Description: KDE frontend for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a KDE frontend for browsing and handling the
- crash reports.
-
-Package: dh-apport
-Section: devel
-Architecture: all
-Multi-Arch: foreign
-Depends: ${perl:Depends},
- ${misc:Depends}
-Description: debhelper extension for the apport crash report system
- apport automatically collects data from crashed processes and
- compiles a problem report in /var/crash/. This utilizes the crashdump
- helper hook provided by the kernel.
- .
- This package provides a debhelper extension to make it easier for other
- packages to include apport hooks.
+ .
+ You need to install gdb-multiarch if you want to be able to retrace crash
+ reports which happened on a different architecture than the one you run
+ apport-retrace on.
 
 Package: apport-valgrind
 Section: devel
@@ -208,3 +181,59 @@
  stack traces (with as many symbols resolved as available) and that shows
  memory leaks.
 
+
+Package: apport-gtk
+Section: gnome
+Architecture: all
+Depends: python3,
+ python3-apport (>= ${source:Version}),
+ gir1.2-gtk-3.0 (>= 3.1.90),
+ gir1.2-wnck-3.0,
+ python3-gi,
+ apport (>= 0.41), 
+ procps,
+ x-terminal-emulator,
+ ${misc:Depends}
+Recommends: update-notifier, gdb | gdb-minimal, apport-notify
+Description: GTK+ frontend for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a GTK+ frontend for browsing and handling the
+ crash reports.
+
+Package: apport-kde
+Section: kde
+Architecture: all
+Depends: python (>= 2.4),
+ python-apport (>= ${source:Version}),
+ python-kde4,
+ apport (>= 0.41),
+ procps,
+ x-terminal-emulator,
+ ${misc:Depends},
+ ${python:Depends}
+Recommends: update-notifier-kde, gdb | gdb-minimal, apport-notify
+Description: KDE frontend for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a KDE frontend for browsing and handling the
+ crash reports.
+
+Package: dh-apport
+Section: devel
+Architecture: all
+Multi-Arch: foreign
+Depends: ${perl:Depends},
+ ${misc:Depends}
+Description: debhelper extension for the apport crash report system
+ apport automatically collects data from crashed processes and
+ compiles a problem report in /var/crash/. This utilizes the crashdump
+ helper hook provided by the kernel.
+ .
+ This package provides a debhelper extension to make it easier for other
+ packages to include apport hooks.
+

## apport 2.17.2

=== debian/changelog ===
apport (2.17.2-1) experimental; urgency=medium

  * [dd0fea1] Imported Upstream version 2.17.2
  * [a81e6d1] Refresh patch debian/patches/kde-retrace-support.patch
  * [1b5fb9d] Drop patch ignore-unicodeDecode-error.patch. Available upstream
  * [cefa5f4] Fix last occurrence of dh_installapport in dh_apport's POD.
    Thanks to Axel Beckert (Closes: #782854)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 27 Apr 2015 22:48:46 +0530

## apport 2.20.4

=== debian/changelog ===
apport (2.20.4-5) experimental; urgency=medium

  * [db937c7] Update KDE dependency to python3-pyqt5 (Closes: #891454)
  * [57d2735] Add patch to fix java minimul classpath

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 28 Mar 2018 11:39:30 +0530

apport (2.20.4-4) experimental; urgency=medium

  * [cf59742] Add patch to detect proper system backend
    (Closes: #876683)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 25 Sep 2017 20:55:49 +0545

apport (2.20.4-3) experimental; urgency=medium

  * [d865d21] Drop build dependency on libglib2.0-0-dbg.
    No longer available. Thanks to Andreas Beckmann (Closes: #876229)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 22 Sep 2017 11:58:35 +0545

apport (2.20.4-2) experimental; urgency=medium

  * [4acc7ef] Refresh patches
  * [116a5d6] Fix security vulnerability in apport (CVE-2017-10708)
    (Closes: #868831)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 27 Jul 2017 21:31:12 +0530

apport (2.20.4-1) experimental; urgency=medium

  * [5ad7def] New upstream version 2.20.4
    Fixes following vulnerabilities CVE-2016-9949, CVE-2016-9950,
    CVE-2016-9951

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 15 Dec 2016 13:46:01 +0530

apport (2.20.3-1) experimental; urgency=medium

  * [f07f4fb] New upstream version 2.20.3
  * [a8d3a34] Refresh patches against 2.20.3
  * [6536968] Drop debian/apport.init in favor of upstream's init
  * [9559d50] Update .install file
  * [027abd0] Bump Debhelper compatibility to 9
  * [7c0847d] Fix Vcs URLs
  * [2557c7b] Bump Standards Version to 3.9.5

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 30 Oct 2016 15:11:40 +0530

apport (2.19.3-1) experimental; urgency=medium

  * [d3d3ab6] Add Conflicts/Replaces/Provides: core-dump-handler, to
    ensure mutual uninstallability with systemd-coredump and corekeeper
  * [45bae38] Imported Upstream version 2.19.3
  * [451b83f] Refresh patches
  * [f5107b3] Update kde install files
  * [d3c59b5] Update apport.install file
  * [3a42735] Add dh-python to Build Depends
  * [87bdf77] Install apport_completion to usr
  * [09b7a16] Add problem-report packages to Recommends

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 20 Dec 2015 14:30:34 +0530

apport (2.17.3-1) experimental; urgency=medium

  * [10887e7] Imported Upstream version 2.17.3
    Fixes CVE-2015-1324, CVE-2015-1325

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 21 May 2015 23:03:25 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: apport
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9.0.0~),
  gdb,
  python-twisted-core,
  gir1.2-glib-2.0 (>= 1.29.17),
  lsb-release,
  net-tools,
  xauth,
+ dh-python,
  python-all,
  python3-all,
  python-distutils-extra (>= 2.24~),
@@ -29,19 +30,18 @@
  dbus-x11,
  gvfs-daemons,
  libglib2.0-dev,
- libglib2.0-0-dbg,
  libnih-dev,
  libc6-dbg | libc-dbg,
  python-gi,
  python3-gi,
  default-jdk | java-sdk
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.0
 Homepage: https://wiki.ubuntu.com/Apport
-Vcs-Git: git://anonscm.debian.org/collab-maint/apport.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/apport.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/apport.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/apport.git
 
 Package: apport
 Architecture: all
@@ -55,6 +55,9 @@
 Recommends: policykit-1
 Suggests: apport-gtk | apport-kde
 Breaks: python-apport (<< 2.6.1-1)
+Conflicts: core-dump-handler
+Replaces: core-dump-handler
+Provides: core-dump-handler
 Description: automatically generate crash reports for debugging
  apport automatically collects data from crashed processes and
  compiles a problem report in /var/crash/. This utilizes the crashdump
@@ -208,7 +211,7 @@
 Architecture: all
 Depends: python (>= 2.4),
  python-apport (>= ${source:Version}),
- python-kde4,
+ python3-pyqt5,
  apport (>= 0.41),
  procps,
  x-terminal-emulator,

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,12 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build
+	rm -f debian/apport-notifyd
 
 override_dh_auto_build:
 	dh_auto_build
 	python3 setup.py build
+	gcc -Wall $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get LDFLAGS) debian/apport-notifyd.c -o debian/apport-notifyd
 
 override_dh_installinit:
 	dh_installinit --error-handler=true
@@ -32,12 +34,16 @@
 	dh_install -X.pyc -X.egg-info --list-missing
 	pod2man -c Debhelper -r "$(DEB_VERSION)" debian/debhelper/dh_apport debian/debhelper/dh_apport.1
 
+ifneq (, $(filter apport-retrace, $(shell dh_listpackages)))
         # apport-retrace needs python-launchpadlib, which is not yet available
         #         # for Python 3; so switch back to Python 2
 	sed -i '1 s/python3.*$$/python/' debian/apport-retrace/usr/bin/apport-retrace
+endif
 
+ifneq (, $(filter apport-kde, $(shell dh_listpackages)))
 	# Same applies for KDE4...
 	sed -i '1 s/python3.*$$/python/' debian/apport-kde/usr/share/apport/apport-kde
+endif
 
 override_dh_python3:
 	dh_python3 --skip-private
